## sphinx-autoapi 1.5.1

=== requirements.txt ===
-e .
tox

=== tests/dotnetexample/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = 
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SphinxAutoAPI.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SphinxAutoAPI.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/SphinxAutoAPI"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SphinxAutoAPI"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

livehtml:
	sphinx-autobuild -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

## sphinx-autoapi 1.3.0

=== debian/changelog ===
sphinx-autoapi (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 23 Jun 2020 20:32:49 +0200

sphinx-autoapi (1.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #955819)

 -- Félix Sipma <felix+debian@gueux.org>  Mon, 20 Apr 2020 12:39:16 +0200

=== debian/control ===
Source: sphinx-autoapi
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Félix Sipma <felix+debian@gueux.org>
Priority: optional
Section: python
Build-Depends: debhelper-compat (= 12),
 dh-python,
 sphinx-common,
 python3-all,
 python3-setuptools,
 python3-astroid,
 python3-jinja2,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-unidecode,
 python3-yaml,
 python3-mock,
 python3-pytest
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/readthedocs/sphinx-autoapi
Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-autoapi.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-autoapi

Package: python3-sphinx-autoapi
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
Enhances: python3-sphinx
Description: Automatic doc generation by parsing source code (Sphinx extension)
 Sphinx AutoAPI provides "autodoc" style documentation for multiple
 programming languages without needing to load, run, or import the project
 being documented.
 .
 In contrast to the traditional Sphinx autodoc, which is Python-only and uses
 code imports, AutoAPI finds and generates documentation by parsing source
 code.

## sphinx-autoapi 1.5.1

=== debian/changelog ===
sphinx-autoapi (1.5.1-2) unstable; urgency=medium

  * Rebuild for dgit

 -- Félix Sipma <felix+debian@gueux.org>  Wed, 21 Oct 2020 12:21:20 +0200

sphinx-autoapi (1.5.1-1) unstable; urgency=medium

  [ Félix Sipma ]
  * New upstream version 1.5.1 (Closes: #971228)

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Félix Sipma <felix+debian@gueux.org>  Sat, 10 Oct 2020 11:55:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: sphinx-autoapi
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Félix Sipma <felix+debian@gueux.org>
 Priority: optional
 Section: python
@@ -19,8 +19,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Homepage: https://github.com/readthedocs/sphinx-autoapi
-Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-autoapi.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-autoapi
+Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-autoapi.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-autoapi
 
 Package: python3-sphinx-autoapi
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f
export PYBUILD_NAME=sphinx-autoapi

# manually build doc:
export PYBUILD_AFTER_BUILD=python3 setup.py build_sphinx -b html && \
        python3 setup.py build_sphinx -b text

# disable test_integration tests:
# - GoTests.test_integration requires sphinxcontrib.golangdomain (not available
#   yet in Debian)
# - DotNetTests.test_integration requires sphinxcontrib.dotnetdomain (not
#   available yet in Debian)
# TODO: package sphinxcontrib.golangdomain and sphinxcontrib.dotnetdomain and
#       re-enable the tests
export PYBUILD_TEST_ARGS=-k-test_integration

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sphinx-autoapi-$1\.tar\.gz/ \
  https://github.com/readthedocs/sphinx-autoapi/tags .*/v?(\d\S*)\.tar\.gz

## sphinx-autoapi 1.8.4

=== debian/changelog ===
sphinx-autoapi (1.8.4-1) unstable; urgency=medium

  * Team upload.
  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Remove obsolete field Name from debian/upstream/metadata
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Håvard Flaget Aasen ]
  * New upstream version 1.8.4
    New version has a run-time dependency on python3-astroid,
    which depend on python3-typing-extensions. Closes: #997341
  * Rebase patches.
  * Update Standards-Version to 4.6.0
  * d/watch: Bump to version 4.
  * d/rules: Change deprecated argument to pytest.
  * Add upstream testsuite as autopkgtest.
  * Add d/source/options: ignore *.egg-info files.
  * Register documentation with doc-base.
  * Set minimum version on python3-astroid.
  * Remove unnecessary build-dependencies, sphinx-common and python3-mock.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sat, 11 Dec 2021 09:31:17 +0000

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,19 @@
 Uploaders: Félix Sipma <felix+debian@gueux.org>
 Priority: optional
 Section: python
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-python,
- sphinx-common,
  python3-all,
  python3-setuptools,
- python3-astroid,
+ python3-astroid (>= 2.7),
  python3-jinja2,
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-unidecode,
  python3-yaml,
- python3-mock,
  python3-pytest
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/readthedocs/sphinx-autoapi
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-autoapi.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-autoapi

## sphinx-autoapi 2.0.0

=== tests/dotnetexample/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # User-friendly check for sphinx-build
 ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
-$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
+$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from https://www.sphinx-doc.org/)
 endif
 
 # Internal variables.

=== debian/changelog ===
sphinx-autoapi (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fixes "Invalid configuration value found: 'language = None'" warning
      with Sphinx 5. (Closes: #1013390)

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 29 Oct 2022 19:29:02 +0300

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 #   available yet in Debian)
 # TODO: package sphinxcontrib.golangdomain and sphinxcontrib.dotnetdomain and
 #       re-enable the tests
-export PYBUILD_TEST_ARGS=-k-test_integration
+export PYBUILD_TEST_ARGS="-k not test_integration"
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

=== debian/tests/control ===
Tests: upstream
Depends: python3-all,
         python3-sphinx-autoapi,
         python3-pytest,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sphinx-autoapi-$1\.tar\.gz/ \
  https://github.com/readthedocs/sphinx-autoapi/tags .*/v?(\d\S*)\.tar\.gz

## sphinx-autoapi 3.0.0

=== debian/changelog ===
sphinx-autoapi (3.0.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version. Closes: #1056529, #1058408.
  * Build-depend on  python3-sphinx-design, furo.
  * Still use unidecode instead of anyascii (not yet packaged).
  * Add python-bs4 and python3-packaging as test dependencies.

 -- Matthias Klose <doko@debian.org>  Fri, 19 Jan 2024 11:24:31 +0100

sphinx-autoapi (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * Use sphinx-build command to build the docs (closes: #1042616).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 15 Aug 2023 20:50:51 +0300

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,13 @@
  python3-all,
  python3-setuptools,
  python3-astroid (>= 2.7),
+ python3-bs4 <!nocheck>,
+ python3-packaging <!nocheck>,
  python3-jinja2,
  python3-sphinx,
  python3-sphinx-rtd-theme,
+ python3-sphinx-design,
+ furo,
  python3-unidecode,
  python3-yaml,
  python3-pytest

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,9 @@
 export PYBUILD_NAME=sphinx-autoapi
 
 # manually build doc:
-export PYBUILD_AFTER_BUILD=python3 setup.py build_sphinx -b html && \
-        python3 setup.py build_sphinx -b text
+export PYBUILD_AFTER_BUILD=sphinx-build docs build/sphinx/html && \
+        sphinx-build -b text docs build/sphinx/text && \
+        rm -rf build/sphinx/text/.doctrees
 
 # disable test_integration tests:
 # - GoTests.test_integration requires sphinxcontrib.golangdomain (not available

=== debian/tests/control ===
Tests: upstream
Depends: python3-all,
         python3-bs4,
         python3-sphinx-autoapi,
         python3-packaging,
         python3-pytest,

## sphinx-autoapi 3.1.2

=== debian/changelog ===
sphinx-autoapi (3.1.2-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 26 Jun 2024 18:54:43 +0200

sphinx-autoapi (3.1.2-1~0exp0) experimental; urgency=medium

  * Team upload.
  * d/patches: update metadata
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * d/control,d/patches/anyascii-revert.diff: drop unidecode for
    anyascii patch; upstream no longer uses anyascii
  * d/control: switch to PEP-517 style building with pybuild-plugin-
    pyproject

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 21 Jun 2024 13:23:59 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Priority: optional
 Section: python
 Build-Depends: debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-setuptools,
+ pybuild-plugin-pyproject,
  python3-astroid (>= 2.7),
  python3-bs4 <!nocheck>,
  python3-packaging <!nocheck>,
@@ -14,12 +15,13 @@
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-sphinx-design,
+ python3-doc <!nodoc>,
+ sphinx-doc <!nodoc>,
  furo,
- python3-unidecode,
  python3-yaml,
  python3-pytest
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/readthedocs/sphinx-autoapi
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-autoapi.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-autoapi
@@ -28,6 +30,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
 Enhances: python3-sphinx
+Suggests: python3-doc, sphinx-doc, python-jinja2-doc
 Description: Automatic doc generation by parsing source code (Sphinx extension)
  Sphinx AutoAPI provides "autodoc" style documentation for multiple
  programming languages without needing to load, run, or import the project

## sphinx-autoapi 3.3.1

=== debian/changelog ===
sphinx-autoapi (3.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * d/tests/: replaced with pybuild-autopkgtest

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 07 Sep 2024 14:17:41 +0200

## sphinx-autoapi 3.3.2

=== debian/changelog ===
sphinx-autoapi (3.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 01 Oct 2024 13:16:56 +0200

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
 Homepage: https://github.com/readthedocs/sphinx-autoapi
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-autoapi.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-autoapi
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-sphinx-autoapi
 Architecture: all

## sphinx-autoapi 3.3.3

=== debian/changelog ===
sphinx-autoapi (3.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Build-depend on flit instead of python3-setuptools.
  * Add a patch to fix reprotest.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Nov 2024 20:05:48 +0300

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Section: python
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-python3,
+ flit (>= 3.2),
+ pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools,
- pybuild-plugin-pyproject,
  python3-astroid (>= 2.7),
  python3-bs4 <!nocheck>,
  python3-packaging <!nocheck>,
@@ -21,7 +21,7 @@
  python3-yaml,
  python3-pytest
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/readthedocs/sphinx-autoapi
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-autoapi.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-autoapi

=== debian/rules ===
--- 
+++ 
@@ -16,4 +16,4 @@
 export PYBUILD_TEST_ARGS="-k not test_integration"
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild

## sphinx-autoapi 3.6.1

=== debian/changelog ===
sphinx-autoapi (3.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 16 Dec 2025 17:10:19 +0000
